# Content

### onContentPrepareForm

**Description**\
This event is triggered in `loadForm` method of all form models.

```php
public function onContentPrepareForm(JForm $form, $data)
{
    // Do something
    return;
}
```

**Arguments**\
`$form` - a JForm object.\
`$data` - the data that should be bind to the form.

To check the context of the event you can use the name of the form like `com_competition.appform`, `com_competition.filed` etc.

### onContentPrepare

### onContentAfterTitle

### onContentBeforeDisplay

### onContentAfterDisplay

**Description**\
These events are triggered in entry's view. Read more about the practical usage in Using content plugins on entry page document.

```php
public function onContentAfterDisplay($context, $item, $params, $page = 0)
{
    // Do something
    return;
}
```

**Arguments**\
`$context` - the context of the event, ‘com\_competition.participant’\
`$item` - a reference to the entry's object that is being rendered by the view.\
`$params` - a `Joomla\Registry\Registry` object containg parametres.\
`$page` - not used and is passed for consistency. Always 0.

`$item->text` property contains the tags of plugins that are specified in General parameters of NorrCompetition.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.norrnext.com/norrcompetition/customisation/events/content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
